Gravv DOCS
Docs Agent Get Started
API Reference Get wallets

Get wallets

Retrieve a paginated list of wallets, with optional filtering by customer and blockchain network.

GET/v1/wallets

Query Parameters

Filter wallets by customer ID

Page number for pagination

Number of wallets per page

Filter wallets by blockchain network

Possible values: stellar, polygon, ethereum, base, solana, avalanche, sui, tron

Responses

Status Description
200 List of wallets retrieved successfully
400 Bad request — invalid input or missing required fields

200 response

Unique identifier for the wallet

ID of the customer who owns this wallet

Blockchain wallet address

Blockchain network

Possible values: stellar, polygon, ethereum, base, solana, avalanche, sui, tron

Wallet name or identifier

Timestamp when the wallet was created

{
"data": {
"items": [
  {
    "address": "GDZQAF4A2E5VZMMQVW7XG4FKWZ5KDSUEZF5VQBDQVM53TMU2YLE54NTX",
    "customer_id": "9e3cccad-e9ae-47a0-81ee-063af0159310",
    "date_created": "2025-10-30T12:18:34.484+00:00",
    "id": "2d52eb6d-4fac-44db-a225-d0e6aa13b0e3",
    "name": "my wallet",
    "network": "stellar"
  },
  {
    "address": "0xf95b56b0eba262df5461f4ec21e1db88d0a86c6f",
    "customer_id": "9e3cccad-e9ae-47a0-81ee-063af0159310",
    "date_created": "2025-10-14T21:07:30.836+00:00",
    "id": "f3c8e5c0-cdb4-4b27-91cb-078943316c8e",
    "name": "my wallet2",
    "network": "ethereum"
  }
],
"page": 1,
"items_per_page": 10,
"total_items": 24,
"total_pages": 3,
"has_next_page": true,
"has_previous_page": false
},
"error": null
}

400 response

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC